Start a new topic

SDK 7.1 problem adding plugin to project

After creating project, adding ios and android platforms, I tried to add plugin from local repository (unzipped on Windows) but failed, message below


phonegap plugin add ..\Wikitude\Wikitude_Cordova_Plugin_7-1-0_3-4-2


Running command: cmd "/s /c "sh {path}\plugins\com.wikitude.phonegap.WikitudePlugin\scripts\configure_wikitude_sdk_framework.sh {project}""

'sh' is not recognized as an internal or external command,

operable program or batch file.

Failed to install 'com.wikitude.phonegap.WikitudePlugin': Error: Hook failed with error code 1: {project}\plugins\com.wikitude.phonegap.WikitudePlugin\scripts\configure_wikitude_sdk_framework.sh

    at {user}\AppData\Roaming\npm\node_modules\phonegap\node_modules\cordova-lib\src\hooks\HooksRunner.js:231:23

    at _rejected ({user}\AppData\Roaming\npm\node_modules\phonegap\node_modules\cordova-common\node_modules\q\q.js:864:24)

    at {user}\AppData\Roaming\npm\node_modules\phonegap\node_modules\cordova-common\node_modules\q\q.js:890:30

    at Promise.when ({user}\AppData\Roaming\npm\node_modules\phonegap\node_modules\cordova-common\node_modules\q\q.js:1142:31)

    at Promise.promise.promiseDispatch ({user}\AppData\Roaming\npm\node_modules\phonegap\node_modules\cordova-common\node_modules\q\q.js:808:41)

    at {user}\AppData\Roaming\npm\node_modules\phonegap\node_modules\cordova-common\node_modules\q\q.js:624:44

    at runSingle ({user}\AppData\Roaming\npm\node_modules\phonegap\node_modules\cordova-common\node_modules\q\q.js:137:13)

    at flush ({user}\AppData\Roaming\npm\node_modules\phonegap\node_modules\cordova-common\node_modules\q\q.js:125:13)

    at _combinedTickCallback (internal/process/next_tick.js:67:7)

    at process._tickCallback (internal/process/next_tick.js:98:9)

Error: Hook failed with error code 1: {path}\plugins\com.wikitude.phonegap.WikitudePlugin\scripts\configure_wikitude_sdk_framework.sh




Hi Eva,


I managed to get it working by using Wikitude_Cordova_Plugin_7-0-0_3-4-2_2017-07-12_18-40-26


It was on Windows 10 using CLI, so before any build. 

Cordova version 5.1.1

Phonegap version 7.1.1


Thanks,

Paul


Hello Paul,

Is this error happening on android or iOS, or both? Could you also tell me the tools and their versions you are using to build the project?

Thanks
Eva

 

Login or Signup to post a comment